# SplDoublyLinkedList::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::offsetSet — Spécifie la nouvelle valeur de l'index

### Description

public SplDoublyLinkedList::offsetSet(?int `$index`, mixed `$value`): void

Définit la valeur de l'`index` à la valeur `value`.

### Liste de paramètres

`index`

  L'index à définir. Si `null` la prochaine valeur sera ajouté après la dernière valeur.

`value`

  La nouvelle valeur pour l'`index`.

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

Lance une exception OutOfRangeException lorsque `index` est en dehors des limites ou lorsque `index` ne peut être analysé comme un entier.